# Uses of Interface
org.jfree.chart3d.table.RectanglePainter

Packages that use RectanglePainter
Package
Description
org.jfree.chart3d
Core classes, including `Chart3D`, `Chart3DPanel` and `Chart3DFactory`.
org.jfree.chart3d.style
Classes for controlling chart styles.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of RectanglePainter in org.jfree.chart3d

Methods in org.jfree.chart3d that return RectanglePainter
Modifier and Type
Method
Description
`RectanglePainter`
Chart3D.`getBackground()`
Returns the background painter (an object that is responsible for filling the background area before charts are rendered).
Methods in org.jfree.chart3d with parameters of type RectanglePainter
Modifier and Type
Method
Description
`void`
Chart3D.`setBackground(RectanglePainter background)`
Sets the background painter and sends a `Chart3DChangeEvent` to all registered listeners.

## Uses of RectanglePainter in org.jfree.chart3d.style

Methods in org.jfree.chart3d.style that return RectanglePainter
Modifier and Type
Method
Description
`RectanglePainter`
ChartStyle.`getBackgroundPainter()`
Returns the painter that fills the background for the chart.
`RectanglePainter`
StandardChartStyle.`getBackgroundPainter()`
Returns the background painter.
Methods in org.jfree.chart3d.style with parameters of type RectanglePainter
Modifier and Type
Method
Description
`void`
StandardChartStyle.`setBackgroundPainter(RectanglePainter painter)`
Sets the background painter.

## Uses of RectanglePainter in org.jfree.chart3d.table

Classes in org.jfree.chart3d.table that implement RectanglePainter
Modifier and Type
Class
Description
`final class`
`GradientRectanglePainter`
A `RectanglePainter` that can fill a rectangle with a gradient (the gradient is generated using anchor points to fit any size rectangle on demand).
`class`
`StandardRectanglePainter`
A `RectanglePainter` that fills the rectangle with a color or image.
Methods in org.jfree.chart3d.table that return RectanglePainter
Modifier and Type
Method
Description
`RectanglePainter`
AbstractTableElement.`getBackground()`
Returns the background painter for the element.
Methods in org.jfree.chart3d.table with parameters of type RectanglePainter
Modifier and Type
Method
Description
`void`
AbstractTableElement.`setBackground(RectanglePainter background)`
Sets the background for the element.